/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:SUBSC.c 12.0$ */
/* $ACIS:SUBSC.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libpc/RCS/SUBSC.c,v $ */

#ifndef lint
static char *rcsid = "$Header:SUBSC.c 12.0$";
#endif

/* Copyright (c) 1979 Regents of the University of California */

static char sccsid[] = "@(#)SUBSC.c 1.4 11/12/82";

char ESUBSC[] = "Subscript value of %D is out of range\n";

long
SUBSC(i, lower, upper)

	long	i, lower, upper;
{
	if (i < lower || i > upper) {
		ERROR(ESUBSC, i);
		return;
	}
	return i;
}
